﻿.group-data-selector
{
    float:left;
}
.group-data-selector .select-area, .group-data-selector .group-selector-button-area, .group-data-selector .group-selector-result
{
    float: left;
    height: 400px;
}
.group-tree
{  
    background-image: url("/Content/images/tree-table-minus.gif");
    background-position: 0 3px;
    background-repeat: no-repeat;
    border-bottom: 2px solid #6B84B7;
    clear: both;
    cursor: pointer;
    height: 25px;
    line-height: 25px;
    padding-left: 20px;
}
.group-tree-close
 {
    background-image: url("/Content/images/tree-table-plus.gif");
    background-position: 0 3px;
    background-repeat: no-repeat;
    border-bottom: 2px solid #6B84B7;
    clear: both;
    cursor: pointer;
    height: 25px;
    line-height: 25px;
    padding-left: 20px;
}
.group-data-selector .select-area, .group-data-selector .group-selector-result
{
    border: 1px solid #CCCCCC;
    width: 304px;
}
.eds-editor-label
{
    float: left;
    width: 70px;
    line-height: 30px;
    margin: 0px 0px 9px 0px;
    text-align: right;
}
.eds-editor-field .ui-textbox
{
    width: 200px;
}
.group-selector-button-area
{
    padding-left: 8px;
    padding-right: 8px;
}
.group-selector-button-area tr.empty
{
    height: 130px;
}
.group-selector-button-area tr.all
{
    height: 130px;
}
.group-selector-button-area tr.select
{
    height: 130px;
}
.group-selector-button-area tr.remove
{
    height: 130px;
}
.area-search-bar
{
    padding-top: 5px;
}

.group-selector-button-area .script-link
{
    padding: 4px 0px 8px 15px;
    margin: 0px 10px 0px 0px;
    line-height: 40px;
    background-image: url(images/webfw-control-bg.png);
    background-repeat: no-repeat;
    background-position: left 0;
    _background-image: none;
    _padding: 4px 15px 4px 15px;
    _border: solid 1px #cccccc;
    _border-bottom: solid 2px #cccccc;
    _vertical-align: middle;
    _background-color: #f0f0f0;
}
.group-selector-button-area .script-link span
{
    padding: 4px 15px 7px 0px;
    background-image: url(images/webfw-control-bg.png);
    background-repeat: no-repeat;
    background-position: right 0;
    _background-image: none;
    _padding: 0px 0px 0px 0px;
}

.eds-editor-field
{
    line-height: 30px;
    margin: 0px 0px 9px 0px;
    padding: 0px 0px 0px 9px;
    float: left;
}
.eds-select-all
{
    padding-top: 40%;
}
.eds-select-selected
{
    padding-top: 60%;
}
.eds-remove-all
{
    padding-top: 80%;
}
.group-selector-result
{
    overflow:auto;
}
.group-selector-result span
{
    background: url(images/searchfield-result.gif) no-repeat scroll right 4px #F1F9FD;
    border: 1px solid #A8D2FE;
    cursor: pointer;
    display: block;
    float: left;
    line-height: 17px;
    margin: 8px 5px 1px 0;
    padding: 0 20px 0 2px;
}
.eds-list-area .ui-gridview
{
    height: 315px;
    overflow: auto;
}
.dialog-body .group-data-selector
{
    margin-left:60px;
    margin-top:20px;
}
.ui-dialog-groupdataselector
{
    border: 1px solid #cccccc;
    line-height: 25px;
    min-height: 25px;
    
    height:auto !important; /*兼容FF,IE7也支持 !important标签*/
    height:25px; /*兼容ie6*/
    overflow:visible;
    
    width: 302px;
    padding: 0;
    margin: 0;
    padding-left: 2px;
    background-color: #ffffff;
    display: inline-block;
    float: left;
}
.editor-field .ui-dialog-groupdataselector
{
    background-image: url(./images/webfw-icon-contact.png);
    _background-image: url(./images/webfw-icon-contact.gif);
    background-repeat: no-repeat;
    background-position: right;
    background-position-x:99%;
    background-position-y: 2px;
    float: left;
}
.ui-dialog-groupdataselector
{
    border: 1px solid #cccccc;
    line-height: 25px;
    min-height: 25px;
    
    height:auto !important; /*兼容FF,IE7也支持 !important标签*/
    height:25px; /*兼容ie6*/
    overflow:visible;
    
    width: 302px;
    padding: 0;
    margin: 0;
    padding-left: 2px;
    background-color: #ffffff;
    display: inline-block;
    float: left;
    cursor:pointer;
}
.ui-dialog-groupdataselector .result span {
    background: url(images/searchfield-result.gif) no-repeat scroll right 4px #F1F9FD;
    border: 1px solid #A8D2FE;
    cursor: pointer;
    display: block;
    float: left;
    line-height: 17px;
    margin: 1px 5px 1px 0;
    padding: 0 20px 0 2px;
}
.ui-dialog-groupdataselector .result {
max-height: 100px;
overflow: auto;
}
.eds-editor-field .ui-treefield
{
    background-image: url(./images/webfw-icon-select.png);
    _background-image: url(./images/webfw-icon-select.gif);
    background-repeat: no-repeat;
    background-position: right 2px;
    float: left;
}

/**
fuck ie 6
**/
.eds-list-area .ui-gridview table
{
    position: static;
    _position: static;
}



